package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * tab_haoban_error_log
 * @author 
 */
public class TabHaobanErrorLog implements Serializable {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 模块描述 例：haoban-commission-service
     */
    private String moduleDesc;

    /**
     * 错误描述，系统错误、参数错误、调用错误
     */
    private String errorDesc;

    /**
     * 错误标识id
     */
    private String errorFlagId;

    /**
     * 错误参数
     */
    private String errorParam;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getModuleDesc() {
        return moduleDesc;
    }

    public void setModuleDesc(String moduleDesc) {
        this.moduleDesc = moduleDesc;
    }

    public String getErrorDesc() {
        return errorDesc;
    }

    public void setErrorDesc(String errorDesc) {
        this.errorDesc = errorDesc;
    }

    public String getErrorFlagId() {
        return errorFlagId;
    }

    public void setErrorFlagId(String errorFlagId) {
        this.errorFlagId = errorFlagId;
    }

    public String getErrorParam() {
        return errorParam;
    }

    public void setErrorParam(String errorParam) {
        this.errorParam = errorParam;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}